BEGIN ~TCWGMAN6~

IF ~True()~ THEN BEGIN 0
  SAY ~Care for a game of dice?  If you win I will give you 10 gold.  If you lose you will have to pay me.~
  IF ~RandomNum(2,1) PartyGoldGT(9)~  THEN REPLY ~Sure, I'll play.~ GOTO 1
  IF ~RandomNum(2,2) PartyGoldGT(9)~  THEN REPLY ~Sure, I'll play.~ GOTO 2
  IF ~PartyGoldLT(10)~ THEN REPLY ~No, I will have to pass.~ EXIT
  IF ~~ THEN REPLY ~No thanks.~ GOTO GoAwayNow
END

IF ~~ THEN BEGIN 1
  SAY ~We have a winner!  Here is your money!~
  IF ~~ THEN DO ~GiveGoldForce(10)~ EXIT
END

IF ~~ THEN BEGIN 2
  SAY ~I win!  I take your 10 gold.~
  IF ~~ THEN DO ~TakePartyGold(10)~ EXIT
END

IF ~~ THEN BEGIN GoAwayNow
  SAY ~Then step aside.  I need this space for people willing to play.~
  IF ~~ THEN EXIT
END
